#!/bin/sh
exec >/tmp/autostart.log
exec 2>/tmp/autostart.err

/sbin/insmod /flash/modules/dm9000.ko

MAC=$(/bin/dd count=1 bs=1024 skip=128 if=/dev/mtdblock0 2>/dev/null | /bin/sed -n 's/.*ethaddr2=\([0-9A-Fa-f:]*\).*/\1/p')

IPADDR=$(/bin/dd count=1 bs=1024 skip=128 if=/dev/mtdblock0 2>/dev/null | /bin/sed -n 's/.*ipaddr2=\([0-9\.]*\).*/\1/p')
test -z "$IPADDR" && IPADDR=192.168.1.126

echo -n -e "Configuring eth1 with MAC-addr: $MAC\n\r" >/dev/console
echo -n -e "Configuring eth1 with  IP-addr: $IPADDR\n\r" >/dev/console

/sbin/ifconfig eth1 down hw ether $MAC
/sbin/ifconfig eth1 $IPADDR
/sbin/ifconfig eth1 up
